package com.indicator.controller;

import com.common.info.CodeMsg;
import com.common.entity.User;
import com.indicator.vo.Login;
import com.indicator.info.Result;
import com.indicator.repository.UserRepository;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@Slf4j
@RestController
@RequestMapping("/openapi")
@Api(tags = "服务接口")
public class OpenApiController {
    @Resource
    private UserRepository userRepository;

    /**
     * 登录表单需要校验字段是否含有 or 1=1
     * @param info
     * @return
     */
    @ApiOperation(value = "登录",notes = "登录服务")
    @PostMapping("login")
    public Result login(@RequestBody Login info) {
        Result result = new Result();
        try {
            User user = userRepository.lambdaQuery().eq(User::getLoginName,info.getUserName()).eq(User::getLoginPassword,info.getPassWord()).one();
            if(user!=null){
                result.setCode(CodeMsg.SUCCESS.getCode());
                result.setMsg(CodeMsg.SUCCESS.getMessage());
                result.setData("真 * token 串");
                log.error("-------- 登录成功 ");
            }else {
                result.setCode(CodeMsg.AUTH_FAILURE.getCode());
                result.setMsg(CodeMsg.AUTH_FAILURE.getMessage());
                log.error("-------- 登录失败，用户名或者密码错误");
            }
        }catch (Exception e){
            log.error("-------- 登录异常 : "+e.getMessage(),e);
            result.setCode(CodeMsg.FAILURE.getCode());
            result.setMsg(e.getMessage());
        }
        return result;
    }

    @ApiOperation(value = "测试")
    @GetMapping("test")
    public Result test() {
        Result result = new Result();
        result.setCode(CodeMsg.SUCCESS.getCode());
        result.setMsg(CodeMsg.SUCCESS.getMessage());
        result.setData("真 * test 串");
        return result;
    }
}
