package com.indicator.exception;

import com.common.info.CodeMsg;
import com.indicator.info.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

@Slf4j
@ControllerAdvice
public class GlobalException {
    @ExceptionHandler(RuntimeException.class)
    @ResponseBody
    public Result handlerException(RuntimeException e) {
        Result result = new Result();
        result.setCode(CodeMsg.FAILURE.getCode());
        result.setMsg("参数错误");
        result.setData(e.getMessage());
        result.setTotal(0L);
        log.error("-------- GlobalException Result ："+result);
        return result;
    }

}
