package com.indicator.init;

import com.common.info.Parameter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.env.Environment;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.sql.DataSource;
import java.sql.Connection;

@Slf4j
@Component
public class FinallyInitializer implements ApplicationRunner {
    @Resource
    private DataSource dataSource;
    @Resource
    private Environment environment;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        log.info("-----------2、 Spring Boot 启动后初始化 -----------");
        log.info("-----------初始化数据库连接池  jdbc url : "+environment.getProperty("c3p0.jdbcUrl"));
        Connection conn = null;
        try {
            conn = dataSource.getConnection();
            Parameter.TABLE_SCHEMA = environment.getProperty("parameter.table_schema");
            log.info("----------- End 数据库连接池 Success -----------");
        }catch (Exception e){
            log.error("初始化 dataSource.getConnection() 异常");
        }finally {
            try {
                if(conn != null) conn.close();
            }catch (Exception e){
                log.error("初始化 conn.close() 异常");
            }
        }
    }
}
