package com.indicator.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.indicator.entity.Indicator;
import com.indicator.vo.IndicatorVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;


public interface IndicatorMapper extends BaseMapper<Indicator> {
    @Select("select * from (" +
            "select t.*, dic_0.scene_name scene_cn , dic_1.indicator_type indicator_dic_cn , dic_2.app_type app_dic_p_cn , dic_3.app_type app_dic_c_cn " +
            "from p_indicator t " +
            "left join p_scene dic_0 on t.scene_id=dic_0.id " +
            "left join indicator_dic dic_1 on t.indicator_dic_id=dic_1.id " +
            "left join app_dic dic_2 on t.app_dic_p_id=dic_2.id " +
            "left join app_dic dic_3 on t.app_dic_c_id=dic_3.id) join_table " +
            "where dynamic_column like CONCAT('%', #{value}, '%') " +
            "or scene_cn like CONCAT('%', #{value}, '%') " +
            "or indicator_dic_cn like CONCAT('%', #{value}, '%') " +
            "or app_dic_p_cn like CONCAT('%', #{value}, '%') " +
            "or app_dic_c_cn like CONCAT('%', #{value}, '%') " +
            "order by create_time desc"
            )
    Page<IndicatorVo> getIndicatorPage(Page<IndicatorVo> page, @Param("value") String value);


}
