package com.indicator.tool;

import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONException;
import com.alibaba.fastjson2.JSONObject;

import java.util.List;

public class TreeTool {

    public static List<JSONObject> processArray(JSONArray array, List<JSONObject> list) throws JSONException {
        for (int i = 0; i < array.size(); i++) {
            JSONObject jsonObject = array.getJSONObject(i);

            if (jsonObject.get("children") != null) {
                JSONArray childrenArray = jsonObject.getJSONArray("children");
                processArray(childrenArray,list);
            }else {
                list.add(jsonObject);
            }
        }
        return list;
    }

    public static JSONArray listToTree(JSONArray arr,String id,String pid,String child){
        JSONArray array = new JSONArray();
        JSONObject hash = new JSONObject();
        //将数组转为Object的形式，key为数组中的id
        for(int i=0;i<arr.size();i++){
            JSONObject json = (JSONObject) arr.get(i);
            hash.put(json.getString(id), json);
        }
        //遍历结果集
        for(int j=0;j<arr.size();j++){
            //单条记录
            JSONObject val = (JSONObject) arr.get(j);
            //在hash中取出key为单条记录中pid的值
            JSONObject obj = (JSONObject) hash.get(val.get(pid));
            //若是记录的pid存在，则说明它有父节点，将她添加到孩子节点的集合中
            if(obj!=null){
                //检查是否有child属性
                if(obj.get(child)!=null){
                    JSONArray ch = (JSONArray) obj.get(child);
                    ch.add(val);
                    obj.put(child, ch);
                }else{
                    JSONArray ch = new JSONArray();
                    ch.add(val);
                    obj.put(child, ch);
                }
            }else{
                array.add(val);
            }
        }
        return array;
    }

}
