package com.indicator;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONException;
import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.indicator.entity.Indicator;
import com.indicator.entity.Label;
import com.indicator.mapper.IndicatorMapper;
import com.indicator.repository.IndicatorRepository;
import com.indicator.repository.LabelRepository;
import com.indicator.service.SearchService;
import com.indicator.tool.TreeTool;
import com.indicator.vo.IndicatorVo;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@SpringBootTest
@Slf4j
public class IndicatorTest {
    @Resource
    private IndicatorRepository indicatorRepository;
    @Resource
    private SearchService searchService;
    @Resource
    private IndicatorMapper indicatorMapper;
    @Resource
    private LabelRepository labelRepository;

    @Test
    public void testLabel(){
        List<Label> list = labelRepository.list();
        JSONArray array = JSONArray.parseArray(JSON.toJSONString(list));

        JSONArray tmpArray = TreeTool.listToTree(array,"id","parentId","children");
        System.out.println(JSON.toJSONString(tmpArray));
        System.out.println("----------------------");
        System.out.println(TreeTool.processArray(tmpArray,new ArrayList()));


    }

    @Test
    public void testgetIndicatorById(){
        System.out.println(indicatorRepository.getById(75));
    }

    @Test
    public void testIndicatorPage(){
        Page<IndicatorVo> query = new Page(1, 2);
        Page<IndicatorVo> page = indicatorMapper.getIndicatorPage(query,"");
        System.out.println("-------- : "+page.getPages());
        System.out.println("-------- : "+page.getTotal());
        System.out.println("-------- : "+page.hasNext());
        System.out.println("-------- : "+page.hasPrevious());
    }
    @Test
    public void testPage(){
        Page<Indicator> page = new Page(1, 2);
        indicatorRepository.page(page);
        List<Indicator> list = page.getRecords();
        System.out.println("-------- : "+list);
        System.out.println("-------- : "+page.getPages());
        System.out.println("-------- : "+page.getTotal());
        System.out.println("-------- : "+page.hasNext());
        System.out.println("-------- : "+page.hasPrevious());
    }

    @Test
    public void testSearchTable() throws Exception{
        System.out.println(searchService.getTableNames());
        System.out.println(searchService.getColumns("p_indicator"));
    }

}
